Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations
tls_extensions.h File Reference
`#include <botan/secmem.h>`
`#include <botan/tls_magic.h>`
`#include <botan/ocsp.h>`
`#include <vector>`
`#include <string>`
`#include <map>`
`#include <set>`

Go to the source code of this file.

## Classes
class | Botan::TLS::Application_Layer_Protocol_Notification
class | Botan::TLS::Certificate_Status_Request
class | Botan::TLS::Encrypt_then_MAC
class | Botan::TLS::Extended_Master_Secret
class | Botan::TLS::Extension
class | Botan::TLS::Extensions
class | Botan::TLS::Renegotiation_Extension
class | Botan::TLS::Server_Name_Indicator
class | Botan::TLS::Session_Ticket
class | Botan::TLS::Signature_Algorithms
class | Botan::TLS::SRTP_Protection_Profiles
class | Botan::TLS::Supported_Elliptic_Curves
class | Botan::TLS::Supported_Point_Formats

## Namespaces
| Botan
| Botan::TLS

## Enumerations
enum | Botan::TLS::Handshake_Extension_Type { Botan::TLS::TLSEXT_SERVER_NAME_INDICATION = 0, Botan::TLS::TLSEXT_CERT_STATUS_REQUEST = 5, Botan::TLS::TLSEXT_CERTIFICATE_TYPES = 9, Botan::TLS::TLSEXT_USABLE_ELLIPTIC_CURVES = 10, Botan::TLS::TLSEXT_EC_POINT_FORMATS = 11, Botan::TLS::TLSEXT_SRP_IDENTIFIER = 12, Botan::TLS::TLSEXT_SIGNATURE_ALGORITHMS = 13, Botan::TLS::TLSEXT_USE_SRTP = 14, Botan::TLS::TLSEXT_ALPN = 16, Botan::TLS::TLSEXT_ENCRYPT_THEN_MAC = 22, Botan::TLS::TLSEXT_EXTENDED_MASTER_SECRET = 23, Botan::TLS::TLSEXT_SESSION_TICKET = 35, Botan::TLS::TLSEXT_SAFE_RENEGOTIATION = 65281 }